E-MailRelay

Static Public Member Functions | List of all members
G::OptionReader Class Reference

Provides a static function to read options from a config file. More...

`#include <goptionreader.h>`

## Static Public Member Functions
static StringArray | read (const G::Path &, std::size_t limit=1000U)
| Reads options from file as a list of strings like "--foo=bar". More...
static std::size_t | add (StringArray &out, const G::Path &, std::size_t limit=1000U)
| Adds options read from file to an existing list. More...

## Detailed Description

Provides a static function to read options from a config file.

Definition at line 38 of file goptionreader.h.

## Member Function Documentation

## ◆ add()

std::size_t G::OptionReader::add | ( | StringArray & | out,
|  | const G::Path & | filename,
|  | std::size_t | limit = `1000U`
| ) |  |
| static

Adds options read from file to an existing list.

Returns the number of options added.

Definition at line 37 of file goptionreader.cpp.

## ◆ read()

G::StringArray G::OptionReader::read | ( | const G::Path & | filename,
|  | std::size_t | limit = `1000U`
| ) |  |
| static

Reads options from file as a list of strings like "--foo=bar".

Throws on error.

Definition at line 30 of file goptionreader.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/goptionreader.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/goptionreader.cpp